Jump to content
edstar1960

HD500 Edit Send Setlist Unknown Error Code 80007413

Recommended Posts

Today I decided to roll back my HD500 from fw v2.62  to fw v2.32 so I could compare them to see if my tone changed at all on existing patches.

 

First off I connected my HD500 to PC and backed up my User Set list, and the supplied Variax set list.

 

I then rolled back the fw.  I only rolled back the fw to v2.32 and did not roll back any other software on any other components so everything else is latest level.

 

It said flash update successful after the first requested power on reset.

I then performed the 2nd power on reset to reinitialise the Global parameters. (Hold left key down)

I then performed the 3rd power on reset to re-calibrate the expression pedal. (Hold right key down)

I then performed final power on reset to get back to standard operation and connected to PC via USB

Started up HD500 Edit

Received the patches from the HD500

Navigated to Set List User 1, and used HD500 Edit to open up the previously saved Variax Set list and then sent that to HD500 - all OK

Navigated to Set List User 2, and used HD500 Edit to open up previously saved User Set list, and then sent that to HD500.

Just after the status box reports 95% complete, I get the error pop up message - see attachment.   .post-187255-0-08372300-1430054962_thumb.jpg

 

So, I follow the recommended steps. Closed HD500 edit. Powered on and off HD500. Rconnected to PC. Restarted HD500 edit. Re-opened the saved User Set List and sent it again - same error.

 

DId this about 3 times - same error every time.  Last time, I loaded a blank set list and sent that to the unit first and then tried sending the saved user set list - same error.

 

I decided to go and try my HD500 with my JTV and L2M to see if the User Set List worked correctly as it appeared to have downloaded to the HD500 despite the error message.  From my limited testing, it appears to be OK.  But do I have a corrupt patch in there somewhere that is going to bite me in the middle of a gig when I least expect it?

 

Why am I getting this error message?

And what can I do to fix it?  Or can I ignore it?

 

Thanks in advance for your help

Share this post


Link to post
Share on other sites

When you rolled back the firmware did you also roll back to the compatible version of HD500 Edit? Recall that an updated version of HD Edit is required for firmware v2.6x. Perhaps that Edit program is not fully compatible with firmware v2.32?

 

EDIT: Do you know if your previously saved setlist User 2 contains any presets that use the new amps in firmware v2.6x? If so I would not expect them to load properly into HD500 firmware v2.32.

Share this post


Link to post
Share on other sites

I've gotten this error recently on my hd500x with version 1.32, prior to doing any further updates. I'm still not sure what caused this or specifically what I did to solve the problem, but I remember doing multiple global resets and pedal calibrations, and switching the usb from a usb2 port to a usb3 port on the computer. Haven't had any problems since...

 

All the patches I have made seem to be working correctly.

Share this post


Link to post
Share on other sites

I have not purchased any of the new amp bundles - so I am just using existing amp models in my patches.

 

I didn't roll back HD500 Edit - I was still on the latest of everything except the firmware.

 

However, the supplied Variax Set List that came with v2.62 was successfully written back to the v2.32 HD500 with the latest HD500 Edit.

But my own User Set List - saved with latest HD500 edit from HD500 with v2.62, was not successfully written back by latest HD500 Edit to HD500 at v2.32.

 

That's odd.  The only difference between the two is that I have probably tweaked a few params in my own set list directly from the HD500 while it was at v2.62.

Share this post


Link to post
Share on other sites

Even though your Pod will work with the older FW, it may be that patches saved with the newer FW may not be completely compatible with the older FW.  Just a guess here.

  • Upvote 1

Share this post


Link to post
Share on other sites

Roll back to the v2.32 compatible version of HD500 Edit and see what happens. If the same thing happens then there's a problem. If not, Charlie_Watt is correct.

 

EDIT: With the old HD500 EDIT program you may encounter an issue loading the Variax setlist. That was introduced with v2.6 and may not be fully backwards compatible.

Share this post


Link to post
Share on other sites

Thanks very much for the advice.

 

I decided to abandon my comparison attempts and instead re-installed fw 2.62, did the global reset, pedal calibration, and then used Hd500 Edit to open my previously saved user list and send it to my HD500, and it worked fine.

 

Unsure why the Variax Set List which was introduced with v2.62 can happily be sent to an HD500 at v2.32, but my User set list saved at v2.62 cannot. If it was just a firmware compatibility issue then surely both would have failed? Unless, the Variax Set List was initially created and saved under v2.32, in which case it could be due to a difference in how things are stored under v2.62 which makes them incompatible with v2.32.

Share this post


Link to post
Share on other sites

I agree there must be some difference which accounts for the unknown error.

 

Remember that I used the latest HD500 Edit version at all times.

 

I saved the Variax Set List and my User Set List with latest HD500 Edit with my HD500 at v2.62.

 

I restarted latest HD500 Edit and opened my saved Variax Set List and successfully sent it to HD500 at v2.32

I then opened my saved User Set List and sent that to HD500 at v2.32 but it reported the unknown error at the end but appeared to successfully write the set list.

 

The Variax Set List may well have been created under an earlier fw release BUT I saved it as a SetList under v2.62, just like my User Set List which I originally created under v2.32 but saved under v2.62. BUT the Variax Set List was saved back to the HD500 without error but the User Set List was not. I don't see what the difference could be. Neither Set List references the new models in any of the patches. Both were saved under v2.62 so if there were any differences in format due to license manager or amp model inventories then both Set Lists should have had those changes and both should have hit same error being written back to v2.32.

Share this post


Link to post
Share on other sites

Just an idea to throw out there. What was the state of the global eq (on/off) when you saved each of the setlists under 2.62? Different or the same for both?

Share this post


Link to post
Share on other sites

Just an idea to throw out there. What was the state of the global eq (on/off) when you saved each of the setlists under 2.62? Different or the same for both?

 

The Global EQ was off. I saved both Set Lists one after the other, just before I performed the fw roll back on the HD500.

 

Both Set Lists saved under latest HD500 Edit.  One of them was able to be SENT to the HD500 at fw v2.32 with no issues and the other one repeatedly hit the UNKNOWN ERROR issue but apparently still had all values sent and saved on HD500.  Neither Set List had been manipulated after saving - they were just saved.

When I re-installed fw 2.62 on the HD500, then resent the set list that had previously issued the UNKNOWN ERROR, it worked fine.

 

No biggie.  There must be something within fw 2.32 that behaves differently to fw 2.62 when receiving a Set List from latest HD500 Edit - hence the UNKNOWN ERROR. and whatever that something is it does not happen for every Set List.  Something about my User Set List that has triggered it - but I really don't know what it could be - because all my patches are set up for use with a Variax just like the Line 6 Supplied Variax Set List.    Maybe "something" happened (a corrupt bit ?) to the particular backup that causes an issue when sent to v2.32 but is ok at v2.62.  ??    I don't know - I am just guessing at possibly logical reasons why it may have occurred.

 

I think a Set List will just contain parameter values and names of the set list and patches - I don't see why it needs to contain anything else - therefore I can't see why a v2.62 saved Set List that only utilises pre 2.62 available models would not be compatible with fw 2.32. 

 

It's not a problem for me any more though as it works fine with everything is in step and at the latest level.  I am just curious about the reason why but I won't lose any sleep over it.      :)

 

Thanks everyone for your input.

Share this post


Link to post
Share on other sites

hey edstar, why don't u just post this 2.62 user setlist, so nother member with 2.32 will try out?

it is good 2 know if there is a backwards compatibility issue with 2.62 saved patches...

  • Upvote 2

Share this post


Link to post
Share on other sites

hey edstar, why don't u just post this 2.62 user setlist, so nother member with 2.32 will try out?

it is good 2 know if there is a backwards compatibility issue with 2.62 saved patches...

 

Good idea jandrio.

 

If another v2.32 user would like to test loading it to their HD500 then by all means please try and report back.

 

I have attached it.

 

PA User 1 - tweaked with v262.zip

  • Upvote 1

Share this post


Link to post
Share on other sites

in any case I would still like to know why is not possible to roll back also the USB firmware to v1.01 (from 1.04) if I ever wanted to revert back the POD to the firmware before 2.6x..

 

You can rollback the usb firmware.

 

 

Good idea jandrio.

 

If another v2.32 user would like to test loading it to their HD500 then by all means please try and report back.

 

I have attached it.

 

attachicon.gifPA User 1 - tweaked with v262.zip

 

I'll try loading this setlist on my hd500 today sometime, version 2.32, never updated to 2.62.

 

I just tried loading this setlist on my hd500x, 2.62, and no problems. I might try downgrading to 1.32, but keep usb 1.04, and load it again to see what happens.

 

Just downgraded my hd500x to 1.32 (did not keep custom patches), kept usb at 1.04, did global reset, pedal calibration (this took 7 tries to get right!), then loaded your setlist into user1 with hd edit 2.26 and sent. No errors. Tried user2. No errors. User3. No errors.

 

Just tried on my hd500. The problem is one patch: "Quo Double Amp". It overloads the DSP.

Edited by duncann
  • Upvote 1

Share this post


Link to post
Share on other sites

.....

 

Just tried on my hd500. The problem is one patch: "Quo Double Amp". It overloads the DSP.

 

Thanks for trying this out duncann.

 

That's very interesting - so you get the UNKNOWN ERROR CODE 80007413 ?

 

The QUO DOUBLE AMP Patch was originally built and tested on my HD500 prior to v2.62.  And it goes back on quite happily from the v2.62 backup as long as I have the v2.62 fw.  So I wonder why it overloads the DSP on your HD500 but not mine?

 

I will take another look later.   Thanks again.

Share this post


Link to post
Share on other sites

it doesn't seem so..

 

so if you know how to rollback the USB fw please tell me the right procedure (even if at the moment I have no intention to do it), in case I need it

Interesting. It seems rolling back the usb firmware is an HD500X "exclusive" feature. Just tried on my hd500 and you're right, it's not possible.

Share this post


Link to post
Share on other sites

Thanks for trying this out duncann.

 

That's very interesting - so you get the UNKNOWN ERROR CODE 80007413 ?

 

The QUO DOUBLE AMP Patch was originally built and tested on my HD500 prior to v2.62.  And it goes back on quite happily from the v2.62 backup as long as I have the v2.62 fw.  So I wonder why it overloads the DSP on your HD500 but not mine?

 

I will take another look later.   Thanks again.

 

Yep. I get that error after trying to send the setlist. I noticed that quo double amp didn't get sent so I tried selecting it in hd edit which brought up an error about DSP.

 

There's something about that patch, so try removing it from the setlist and then sending that setlist to the device. See if you get an error then.

Share this post


Link to post
Share on other sites

A little further information.

 

Just updated my hd500 to 2.62 and successfully sent edstar1960's setlist without error.

Share this post


Link to post
Share on other sites

i'm confused :o

so, what's the verdict guys?

 

1. can we load 2.62 patches on <=1.32 fw on hd500?

2. when will L6 provide hd500 usb-firmware-roll-back option, similar 2 the hd500x?

Share this post


Link to post
Share on other sites

i'm confused :o

so, what's the verdict guys?

 

1. can we load 2.62 patches on <=1.32 fw on hd500?

2. when will L6 provide hd500 usb-firmware-roll-back option, similar 2 the hd500x?

 

1. I would say they can. I did try all of my patches saved (not created) on an hd500x with 2.62 and sent them to the same device with version 1.32. No problems. The instance with edstar1960's patch generating an error is probably isolated and may be due to a bug. And the specific cause is still unknown.

 

2. Who knows? I find it really odd that it's not there to begin with. Makes me wonder why?

Share this post


Link to post
Share on other sites

Yep. I get that error after trying to send the setlist. I noticed that quo double amp didn't get sent so I tried selecting it in hd edit which brought up an error about DSP.

 

There's something about that patch, so try removing it from the setlist and then sending that setlist to the device. See if you get an error then.

 

Thanks very much for testing this out duncann.

 

I looked at the patch in question under HD500 EDIT in offline mode and it displayed it fine, as well as the other double amp patches in bank 15.

 

It also displays fine on my HD500.

 

I can't try the resend without it because my HD500 is back on 2.62 - so I would have to roll back the fw first.  Not sure when I will have time to try that in the near future.

Share this post


Link to post
Share on other sites

just an hypothesis on the usb-firmware-roll-back functioning..

 

may be that if any of the model packs are authorized (as in my case with the full bundle) the monkey app doesn't give the opportunity to rollback the USB fw (the current v1.04 adds the model packs support) as long as they are not de-authorized..

 

would be useful to have an official confirmation on this topic, just to know

 

This can't be it because I haven't purchased any of the packs and the hd500 still doesn't allow rollback of usb firmware, but the hd500x does.

  • Upvote 2

Share this post


Link to post
Share on other sites

This can't be it because I haven't purchased any of the packs and the hd500 still doesn't allow rollback of usb firmware, but the hd500x does.

 

Same for me for my HD500 - I haven't purchased the packs and I don't see a USB roll back option.

Share this post


Link to post
Share on other sites

i'm confused :o

so, what's the verdict guys?

 

1. can we load 2.62 patches on <=1.32 fw on hd500?

2. when will L6 provide hd500 usb-firmware-roll-back option, similar 2 the hd500x?

 

1. I agree with duncann as he stated above - that you can load 2.62 patches on to HD's with earlier firmware. I proved this by saving the VARIAX set list from 2.62 and successfully sending it back to my HD500 at v2.32.  

My other user set list which generated the UNKNOWN ERROR, still seemed to be sent correctly to the HD500 at v2.32 and all the patches seemed to load and work when I tried them - so not sure what the error was referring to in my instance.  I think it must be something specific to my user set list. To be safe, just in case something would bite me at a most inconvenient mid-gig moment, I decided to go back to v2.62 and load the set list without the HD500 EDIT error.

 

2. I don't know. Not sure they are aware of it yet - unless hurghanico and/or duncann have since raised support ticket for it.

  • Upvote 1

Share this post


Link to post
Share on other sites

tks guys :)

 

 

 

..

2. I don't know. Not sure they are aware of it yet - unless hurghanico and/or duncann have since raised support ticket for it.

..

 

just thinking, may b previous version(s)  of monkey wld allow usb fw rollback ....

  • Upvote 1

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×